import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnProjectBuild } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
interface CnProjectBuildCU extends ConditionUtil<CnProjectBuildCU> {
    ID: FieldUtil<CnProjectBuildCU>;
    PROJECT_ID: FieldUtil<CnProjectBuildCU>;
    VERSION_ID: FieldUtil<CnProjectBuildCU>;
    COMMIT_ID: FieldUtil<CnProjectBuildCU>;
    BUILD_TAG: FieldUtil<CnProjectBuildCU>;
    BUILD_SEQ: FieldUtil<CnProjectBuildCU>;
    RELEASE_TAG: FieldUtil<CnProjectBuildCU>;
    RELEASE_STATUS: FieldUtil<CnProjectBuildCU>;
    BUILD_STATUS: FieldUtil<CnProjectBuildCU>;
    BUILD_LOG: FieldUtil<CnProjectBuildCU>;
    DELETED: FieldUtil<CnProjectBuildCU>;
    CREATE_USER_ID: FieldUtil<CnProjectBuildCU>;
    CREATE_TIME: FieldUtil<CnProjectBuildCU>;
}
declare class CnProjectBuildMU extends TableUtilImpl<CnProjectBuildCU, CnProjectBuild> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnProjectBuildCU;
    static get ID(): FieldUtil<CnProjectBuildCU>;
    static get PROJECT_ID(): FieldUtil<CnProjectBuildCU>;
    static get VERSION_ID(): FieldUtil<CnProjectBuildCU>;
    static get COMMIT_ID(): FieldUtil<CnProjectBuildCU>;
    static get BUILD_TAG(): FieldUtil<CnProjectBuildCU>;
    static get BUILD_SEQ(): FieldUtil<CnProjectBuildCU>;
    static get RELEASE_TAG(): FieldUtil<CnProjectBuildCU>;
    static get RELEASE_STATUS(): FieldUtil<CnProjectBuildCU>;
    static get BUILD_STATUS(): FieldUtil<CnProjectBuildCU>;
    static get BUILD_LOG(): FieldUtil<CnProjectBuildCU>;
    static get DELETED(): FieldUtil<CnProjectBuildCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectBuildCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectBuildCU>;
    get ID(): FieldUtil<CnProjectBuildCU>;
    get PROJECT_ID(): FieldUtil<CnProjectBuildCU>;
    get VERSION_ID(): FieldUtil<CnProjectBuildCU>;
    get COMMIT_ID(): FieldUtil<CnProjectBuildCU>;
    get BUILD_TAG(): FieldUtil<CnProjectBuildCU>;
    get BUILD_SEQ(): FieldUtil<CnProjectBuildCU>;
    get RELEASE_TAG(): FieldUtil<CnProjectBuildCU>;
    get RELEASE_STATUS(): FieldUtil<CnProjectBuildCU>;
    get BUILD_STATUS(): FieldUtil<CnProjectBuildCU>;
    get BUILD_LOG(): FieldUtil<CnProjectBuildCU>;
    get DELETED(): FieldUtil<CnProjectBuildCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectBuildCU>;
    get CREATE_TIME(): FieldUtil<CnProjectBuildCU>;
}
export { CnProjectBuildMU, CnProjectBuildCU };
